Delete
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAScope.Delete(ctx, operations.C1APICrossAppAccessV1XAAScopeServiceDeleteRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAScopeServiceDeleteResponse != nil {
// handle response
}
}curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/scopes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/scopes/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/scopes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Cross-App Access
Delete
Delete a scope (soft delete). Cascades to its backing entitlement and to any access-profile bindings that reference it.
DELETE
/
api
/
v1
/
apps
/
{app_id}
/
xaa
/
scopes
/
{id}
Delete
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAScope.Delete(ctx, operations.C1APICrossAppAccessV1XAAScopeServiceDeleteRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAScopeServiceDeleteResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application that owns the resource server.
Unique identifier for the scope.
Body
application/json
XAAScopeServiceDeleteRequest deletes a scope (soft delete).
Response
200 - application/json
XAAScopeServiceDeleteResponse confirms deletion.
XAAScopeServiceDeleteResponse confirms deletion.
Was this page helpful?
⌘I